curl --request POST \
--url https://api.juicer.io/v1/feeds/{feed_id}/sources \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"platform": "Instagram",
"term": "nasa",
"term_type": "username",
"options": {
"retweets": "<string>",
"replies": "<string>",
"only_reels": "<string>",
"only_posts": "<string>"
}
}
'import requests
url = "https://api.juicer.io/v1/feeds/{feed_id}/sources"
payload = {
"platform": "Instagram",
"term": "nasa",
"term_type": "username",
"options": {
"retweets": "<string>",
"replies": "<string>",
"only_reels": "<string>",
"only_posts": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
platform: 'Instagram',
term: 'nasa',
term_type: 'username',
options: {
retweets: '<string>',
replies: '<string>',
only_reels: '<string>',
only_posts: '<string>'
}
})
};
fetch('https://api.juicer.io/v1/feeds/{feed_id}/sources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": 123,
"platform": "<string>",
"term": "<string>",
"term_type": "<string>",
"name": "<string>",
"options": {},
"syncable": true,
"unsyncable_reason": "<string>",
"synced_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "feed_limit_reached",
"message": "Your Free plan allows 1 feed(s). Upgrade to create more.",
"details": {
"name": [
"can't be blank"
]
},
"action": {
"type": "upgrade_plan",
"current_plan": "small",
"current_plan_display_name": "Free",
"required_plan": "large",
"required_plan_display_name": "Pro",
"upgrade_url": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}
}
}Add a source to a feed
Creates a new source and performs an initial sync to fetch posts.
Some platforms (like LinkedIn) sync asynchronously — check syncable status after creation.
Use GET /platforms to see available platforms and their supported term types.
Example — Reddit: use term_type: "channel" with a subreddit name
(or reddit.com/r/... URL) to pull a subreddit’s posts, or
term_type: "mentions" with any keyword to pull Reddit search results:
{ "platform": "Reddit", "term": "aww", "term_type": "channel" }
{ "platform": "Reddit", "term": "your brand", "term_type": "mentions" }
Returns 422 with error.code = "source_limit_reached" and an upgrade action
if the feed’s source limit is exceeded. Returns 422 with
error.code = "social_account_required" and a connect action if the platform
requires OAuth and no account is connected.
Authorizations
API key prefixed with jcr_. To obtain a key programmatically
(no dashboard required), see POST /v1/authorize.
Path Parameters
Body
Social media platform (use GET /platforms to see options)
"Instagram"
Username, hashtag, or URL
"nasa"
Type of search term (use GET /platforms to see valid types per platform)
"username"
Platform-specific options
Show child attributes
Show child attributes
Response
Source created
Show child attributes
Show child attributes